-- 基础信息
base_info = {
	group_id = 235800005
}

-- DEFS_MISCS
defs = {
	laser_group_id = 235800005,
	hurt_floor_id = 5293
}

local hurt_floor_delay = 5

local random_flower_time_axis = {20,50,80}

local random_flower_sum = {min = 3, max = 5}

local flower_life_time = 10

local flower_suite_index = 8

local wind_force_time_axis = {1,30,60}

local wind_force_suites = {2,3,4,5,6,7}

local regionIndex = 5102

--飞行接花
--飞行接花玩法结束时达到关卡积分目标后奖励的能量值
local WindFlower_Flight_Clear_Bonus = 60
--飞行接花玩法结束时未达到关卡积分目标扣除的能量值
local WindFlower_Flight_Failed_Deduction = -10

local Catch_Flower_Score = 10

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[5001] = { config_id = 5001, gadget_id = 70350136, pos = { x = 143.524, y = 31.862, z = 7.742 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5002] = { config_id = 5002, gadget_id = 70350005, pos = { x = 140.342, y = 18.575, z = 25.791 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5003] = { config_id = 5003, gadget_id = 70350005, pos = { x = 140.350, y = 18.753, z = -29.972 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5004] = { config_id = 5004, gadget_id = 70350136, pos = { x = 143.524, y = 30.148, z = 3.831 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5005] = { config_id = 5005, gadget_id = 70350136, pos = { x = 143.524, y = 28.585, z = -0.539 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5006] = { config_id = 5006, gadget_id = 70350136, pos = { x = 143.524, y = 27.124, z = -5.168 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5007] = { config_id = 5007, gadget_id = 70350136, pos = { x = 143.524, y = 25.399, z = -10.458 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5008] = { config_id = 5008, gadget_id = 70350136, pos = { x = 143.524, y = 24.014, z = -15.923 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5009] = { config_id = 5009, gadget_id = 70350136, pos = { x = 136.625, y = 31.882, z = -16.012 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5010] = { config_id = 5010, gadget_id = 70350136, pos = { x = 136.625, y = 30.030, z = -11.008 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5011] = { config_id = 5011, gadget_id = 70350136, pos = { x = 136.625, y = 28.031, z = -5.596 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5012] = { config_id = 5012, gadget_id = 70350136, pos = { x = 136.625, y = 26.241, z = -0.601 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5013] = { config_id = 5013, gadget_id = 70350136, pos = { x = 136.625, y = 24.533, z = 5.013 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5014] = { config_id = 5014, gadget_id = 70350136, pos = { x = 136.625, y = 23.202, z = 10.797 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5015] = { config_id = 5015, gadget_id = 70350136, pos = { x = 135.795, y = 31.957, z = 6.875 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5016] = { config_id = 5016, gadget_id = 70350136, pos = { x = 147.470, y = 31.957, z = 6.875 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5017] = { config_id = 5017, gadget_id = 70350136, pos = { x = 135.535, y = 28.534, z = 0.865 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5018] = { config_id = 5018, gadget_id = 70350136, pos = { x = 147.435, y = 29.630, z = 1.039 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5019] = { config_id = 5019, gadget_id = 70350136, pos = { x = 140.471, y = 26.323, z = -2.752 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5020] = { config_id = 5020, gadget_id = 70350136, pos = { x = 147.156, y = 31.957, z = -14.120 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5021] = { config_id = 5021, gadget_id = 70350136, pos = { x = 135.501, y = 32.153, z = -14.120 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5022] = { config_id = 5022, gadget_id = 70350136, pos = { x = 147.279, y = 29.630, z = -9.810 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5023] = { config_id = 5023, gadget_id = 70350136, pos = { x = 135.376, y = 29.724, z = -9.810 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5024] = { config_id = 5024, gadget_id = 70350136, pos = { x = 147.279, y = 27.849, z = -4.013 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5025] = { config_id = 5025, gadget_id = 70350136, pos = { x = 135.447, y = 27.893, z = -4.013 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5026] = { config_id = 5026, gadget_id = 70350136, pos = { x = 140.471, y = 28.527, z = -9.747 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5027] = { config_id = 5027, gadget_id = 70350136, pos = { x = 140.127, y = 28.813, z = 5.883 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5028] = { config_id = 5028, gadget_id = 70350187, pos = { x = 133.080, y = 27.238, z = 2.731 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5029] = { config_id = 5029, gadget_id = 70350136, pos = { x = 139.020, y = 32.159, z = 6.417 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5030] = { config_id = 5030, gadget_id = 70350136, pos = { x = 137.192, y = 30.106, z = 3.769 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5031] = { config_id = 5031, gadget_id = 70350136, pos = { x = 135.451, y = 28.551, z = 0.709 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5032] = { config_id = 5032, gadget_id = 70350136, pos = { x = 134.468, y = 26.785, z = -3.069 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5033] = { config_id = 5033, gadget_id = 70350136, pos = { x = 133.830, y = 25.079, z = -6.919 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5034] = { config_id = 5034, gadget_id = 70350136, pos = { x = 133.766, y = 23.306, z = -11.617 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5035] = { config_id = 5035, gadget_id = 70690012, pos = { x = 139.734, y = 18.815, z = 17.521 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5036] = { config_id = 5036, gadget_id = 70690012, pos = { x = 140.496, y = 18.816, z = -22.151 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5037] = { config_id = 5037, gadget_id = 70690012, pos = { x = 140.353, y = 18.815, z = -20.328 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5038] = { config_id = 5038, gadget_id = 70690012, pos = { x = 147.352, y = 18.815, z = 14.281 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5039] = { config_id = 5039, gadget_id = 70690012, pos = { x = 133.307, y = 18.815, z = 14.281 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5040] = { config_id = 5040, gadget_id = 70350136, pos = { x = 142.828, y = 26.689, z = -16.383 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5041] = { config_id = 5041, gadget_id = 70690012, pos = { x = 147.352, y = 18.815, z = -19.057 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5042] = { config_id = 5042, gadget_id = 70690012, pos = { x = 133.307, y = 18.815, z = -19.057 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5043] = { config_id = 5043, gadget_id = 70690012, pos = { x = 140.353, y = 18.815, z = 16.180 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5044] = { config_id = 5044, gadget_id = 70350136, pos = { x = 139.627, y = 26.689, z = -16.649 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5045] = { config_id = 5045, gadget_id = 70350136, pos = { x = 142.828, y = 28.815, z = -16.383 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5046] = { config_id = 5046, gadget_id = 70350136, pos = { x = 139.627, y = 28.815, z = -16.649 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5047] = { config_id = 5047, gadget_id = 70350136, pos = { x = 142.828, y = 30.911, z = -16.383 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5048] = { config_id = 5048, gadget_id = 70350136, pos = { x = 139.627, y = 30.911, z = -16.649 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5049] = { config_id = 5049, gadget_id = 70350136, pos = { x = 142.828, y = 33.136, z = -16.383 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5050] = { config_id = 5050, gadget_id = 70350136, pos = { x = 139.627, y = 33.136, z = -16.649 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5051] = { config_id = 5051, gadget_id = 70350136, pos = { x = 148.557, y = 32.000, z = -10.936 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5052] = { config_id = 5052, gadget_id = 70350136, pos = { x = 148.910, y = 29.809, z = -5.923 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5053] = { config_id = 5053, gadget_id = 70350136, pos = { x = 148.615, y = 27.055, z = -0.862 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5054] = { config_id = 5054, gadget_id = 70350136, pos = { x = 146.857, y = 24.798, z = 4.593 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5055] = { config_id = 5055, gadget_id = 70350136, pos = { x = 144.468, y = 22.591, z = 9.555 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5056] = { config_id = 5056, gadget_id = 70350136, pos = { x = 136.237, y = 32.023, z = 3.217 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5057] = { config_id = 5057, gadget_id = 70350136, pos = { x = 137.913, y = 29.989, z = 0.127 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5058] = { config_id = 5058, gadget_id = 70350136, pos = { x = 140.219, y = 27.064, z = -4.171 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5059] = { config_id = 5059, gadget_id = 70350136, pos = { x = 142.895, y = 24.968, z = -9.735 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5060] = { config_id = 5060, gadget_id = 70350136, pos = { x = 145.598, y = 23.309, z = -14.804 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5061] = { config_id = 5061, gadget_id = 70350136, pos = { x = 145.941, y = 32.116, z = -14.850 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5062] = { config_id = 5062, gadget_id = 70350136, pos = { x = 143.910, y = 30.445, z = -11.353 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5063] = { config_id = 5063, gadget_id = 70350136, pos = { x = 141.383, y = 28.661, z = -6.929 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5064] = { config_id = 5064, gadget_id = 70350136, pos = { x = 137.960, y = 24.530, z = -0.152 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5065] = { config_id = 5065, gadget_id = 70350136, pos = { x = 135.305, y = 22.522, z = 5.354 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5066] = { config_id = 5066, gadget_id = 70350136, pos = { x = 140.327, y = 26.749, z = 7.756 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5067] = { config_id = 5067, gadget_id = 70350136, pos = { x = 134.210, y = 26.749, z = 5.791 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5068] = { config_id = 5068, gadget_id = 70350136, pos = { x = 131.615, y = 26.749, z = 0.259 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5069] = { config_id = 5069, gadget_id = 70350136, pos = { x = 131.151, y = 26.749, z = -5.789 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5070] = { config_id = 5070, gadget_id = 70350136, pos = { x = 133.634, y = 26.749, z = -11.055 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5071] = { config_id = 5071, gadget_id = 70350136, pos = { x = 139.717, y = 26.749, z = -13.859 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5072] = { config_id = 5072, gadget_id = 70350136, pos = { x = 146.541, y = 26.749, z = -11.514 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5073] = { config_id = 5073, gadget_id = 70350136, pos = { x = 148.556, y = 26.749, z = -6.642 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5074] = { config_id = 5074, gadget_id = 70350136, pos = { x = 148.332, y = 26.749, z = -0.102 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5075] = { config_id = 5075, gadget_id = 70350136, pos = { x = 146.447, y = 26.749, z = 5.196 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5076] = { config_id = 5076, gadget_id = 70350136, pos = { x = 140.327, y = 31.504, z = 7.756 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5077] = { config_id = 5077, gadget_id = 70350136, pos = { x = 134.210, y = 31.504, z = 5.791 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5078] = { config_id = 5078, gadget_id = 70350136, pos = { x = 131.615, y = 31.504, z = 0.259 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5079] = { config_id = 5079, gadget_id = 70350136, pos = { x = 131.151, y = 31.504, z = -5.789 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5080] = { config_id = 5080, gadget_id = 70350136, pos = { x = 133.634, y = 31.504, z = -11.055 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5081] = { config_id = 5081, gadget_id = 70350136, pos = { x = 139.717, y = 31.504, z = -13.859 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5082] = { config_id = 5082, gadget_id = 70350136, pos = { x = 146.541, y = 31.504, z = -11.514 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5083] = { config_id = 5083, gadget_id = 70350136, pos = { x = 148.556, y = 31.504, z = -6.642 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5084] = { config_id = 5084, gadget_id = 70350136, pos = { x = 148.332, y = 31.504, z = -0.102 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5085] = { config_id = 5085, gadget_id = 70350136, pos = { x = 146.447, y = 31.504, z = 5.196 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5086] = { config_id = 5086, gadget_id = 70350136, pos = { x = 138.352, y = 32.670, z = 9.625 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5087] = { config_id = 5087, gadget_id = 70350136, pos = { x = 135.372, y = 30.951, z = 7.696 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5088] = { config_id = 5088, gadget_id = 70350136, pos = { x = 132.686, y = 28.684, z = 4.586 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5089] = { config_id = 5089, gadget_id = 70350136, pos = { x = 131.389, y = 26.586, z = -0.525 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5090] = { config_id = 5090, gadget_id = 70350136, pos = { x = 131.318, y = 24.778, z = -7.234 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5091] = { config_id = 5091, gadget_id = 70350136, pos = { x = 131.318, y = 22.360, z = -13.639 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5092] = { config_id = 5092, gadget_id = 70350136, pos = { x = 139.313, y = 30.891, z = 12.732 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5093] = { config_id = 5093, gadget_id = 70350136, pos = { x = 142.963, y = 32.670, z = -21.968 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5094] = { config_id = 5094, gadget_id = 70350136, pos = { x = 149.750, y = 26.290, z = -8.509 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5095] = { config_id = 5095, gadget_id = 70350136, pos = { x = 145.938, y = 30.465, z = -19.400 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5096] = { config_id = 5096, gadget_id = 70350136, pos = { x = 148.006, y = 28.340, z = -14.270 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5097] = { config_id = 5097, gadget_id = 70350136, pos = { x = 148.738, y = 24.431, z = -1.005 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5098] = { config_id = 5098, gadget_id = 70350136, pos = { x = 147.471, y = 22.944, z = 4.859 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5099] = { config_id = 5099, gadget_id = 70350136, pos = { x = 141.164, y = 30.891, z = 12.732 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5100] = { config_id = 5100, gadget_id = 70350136, pos = { x = 139.313, y = 32.467, z = 12.732 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5101] = { config_id = 5101, gadget_id = 70350136, pos = { x = 141.164, y = 32.467, z = 12.732 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5291] = { config_id = 5291, gadget_id = 70350187, pos = { x = 135.540, y = 26.929, z = -17.089 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5292] = { config_id = 5292, gadget_id = 70350187, pos = { x = 136.658, y = 28.577, z = 2.481 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5293] = { config_id = 5293, gadget_id = 70310040, pos = { x = 139.613, y = 18.900, z = -2.451 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5294] = { config_id = 5294, gadget_id = 70350187, pos = { x = 136.658, y = 29.659, z = 7.618 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5295] = { config_id = 5295, gadget_id = 70350187, pos = { x = 136.658, y = 24.810, z = -7.615 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5296] = { config_id = 5296, gadget_id = 70350187, pos = { x = 142.491, y = 27.786, z = -13.992 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5297] = { config_id = 5297, gadget_id = 70350187, pos = { x = 132.829, y = 30.139, z = -3.270 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5298] = { config_id = 5298, gadget_id = 70350187, pos = { x = 139.455, y = 27.317, z = -9.888 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5299] = { config_id = 5299, gadget_id = 70350187, pos = { x = 148.167, y = 22.705, z = -8.946 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5300] = { config_id = 5300, gadget_id = 70350187, pos = { x = 138.026, y = 29.576, z = -6.421 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5301] = { config_id = 5301, gadget_id = 70350187, pos = { x = 141.326, y = 26.434, z = -0.122 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5302] = { config_id = 5302, gadget_id = 70350187, pos = { x = 144.996, y = 24.020, z = 6.474 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5303] = { config_id = 5303, gadget_id = 70350187, pos = { x = 144.996, y = 29.136, z = 0.252 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5304] = { config_id = 5304, gadget_id = 70350187, pos = { x = 144.996, y = 28.917, z = -3.200 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5305] = { config_id = 5305, gadget_id = 70350187, pos = { x = 133.370, y = 28.178, z = -1.955 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5306] = { config_id = 5306, gadget_id = 70350187, pos = { x = 136.658, y = 26.817, z = -1.955 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5307] = { config_id = 5307, gadget_id = 70350187, pos = { x = 146.304, y = 25.452, z = 1.914 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5308] = { config_id = 5308, gadget_id = 70350187, pos = { x = 142.715, y = 26.937, z = -4.978 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5309] = { config_id = 5309, gadget_id = 70350187, pos = { x = 139.665, y = 28.688, z = 0.252 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5310] = { config_id = 5310, gadget_id = 70350187, pos = { x = 137.283, y = 29.441, z = -2.972 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5311] = { config_id = 5311, gadget_id = 70350187, pos = { x = 138.139, y = 26.211, z = -5.778 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5314] = { config_id = 5314, gadget_id = 70690012, pos = { x = 133.726, y = 18.815, z = 16.663 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5315] = { config_id = 5315, gadget_id = 70690012, pos = { x = 148.548, y = 18.815, z = 16.663 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5316] = { config_id = 5316, gadget_id = 70690012, pos = { x = 131.705, y = 18.815, z = -20.176 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5317] = { config_id = 5317, gadget_id = 70690012, pos = { x = 147.027, y = 18.815, z = -20.176 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5318] = { config_id = 5318, gadget_id = 70690012, pos = { x = 148.578, y = 18.815, z = -23.038 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5319] = { config_id = 5319, gadget_id = 70690012, pos = { x = 133.726, y = 18.815, z = 11.405 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5320] = { config_id = 5320, gadget_id = 70690012, pos = { x = 147.711, y = 18.815, z = 14.310 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5321] = { config_id = 5321, gadget_id = 70690012, pos = { x = 133.005, y = 18.815, z = -22.652 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5322] = { config_id = 5322, gadget_id = 70350187, pos = { x = 141.141, y = 25.200, z = 5.935 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5323] = { config_id = 5323, gadget_id = 70350187, pos = { x = 147.017, y = 30.447, z = -4.676 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5324] = { config_id = 5324, gadget_id = 70350187, pos = { x = 133.781, y = 24.764, z = -17.926 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5325] = { config_id = 5325, gadget_id = 70350187, pos = { x = 136.658, y = 28.193, z = 5.477 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5326] = { config_id = 5326, gadget_id = 70350187, pos = { x = 136.658, y = 26.889, z = -7.615 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5327] = { config_id = 5327, gadget_id = 70350187, pos = { x = 142.491, y = 23.746, z = -9.693 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5328] = { config_id = 5328, gadget_id = 70350187, pos = { x = 133.669, y = 27.681, z = -5.559 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5329] = { config_id = 5329, gadget_id = 70350187, pos = { x = 131.508, y = 28.137, z = -7.028 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5330] = { config_id = 5330, gadget_id = 70350187, pos = { x = 144.098, y = 29.004, z = -12.221 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5331] = { config_id = 5331, gadget_id = 70350187, pos = { x = 138.026, y = 30.635, z = -9.221 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5332] = { config_id = 5332, gadget_id = 70350187, pos = { x = 144.996, y = 23.939, z = -5.951 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5333] = { config_id = 5333, gadget_id = 70350187, pos = { x = 142.521, y = 28.015, z = 4.568 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5334] = { config_id = 5334, gadget_id = 70350187, pos = { x = 140.535, y = 30.076, z = -5.667 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5335] = { config_id = 5335, gadget_id = 70350187, pos = { x = 144.996, y = 31.320, z = -16.965 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5336] = { config_id = 5336, gadget_id = 70350187, pos = { x = 145.336, y = 25.235, z = 8.978 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5337] = { config_id = 5337, gadget_id = 70350187, pos = { x = 147.819, y = 28.569, z = 6.603 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5338] = { config_id = 5338, gadget_id = 70350187, pos = { x = 143.256, y = 30.425, z = 2.593 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5339] = { config_id = 5339, gadget_id = 70350187, pos = { x = 139.584, y = 22.353, z = -6.403 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5340] = { config_id = 5340, gadget_id = 70350187, pos = { x = 142.366, y = 23.050, z = -12.542 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5341] = { config_id = 5341, gadget_id = 70350187, pos = { x = 140.185, y = 30.500, z = -11.707 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5342] = { config_id = 5342, gadget_id = 70350187, pos = { x = 137.670, y = 27.963, z = 1.606 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5343] = { config_id = 5343, gadget_id = 70350187, pos = { x = 143.700, y = 30.060, z = -8.818 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5344] = { config_id = 5344, gadget_id = 70350187, pos = { x = 133.796, y = 26.971, z = -5.171 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5345] = { config_id = 5345, gadget_id = 70350187, pos = { x = 135.354, y = 26.371, z = -10.914 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5346] = { config_id = 5346, gadget_id = 70350187, pos = { x = 146.290, y = 27.618, z = -12.098 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5347] = { config_id = 5347, gadget_id = 70350187, pos = { x = 134.195, y = 25.250, z = -14.523 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5348] = { config_id = 5348, gadget_id = 70350187, pos = { x = 134.195, y = 29.652, z = -12.166 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5349] = { config_id = 5349, gadget_id = 70350187, pos = { x = 137.701, y = 29.652, z = -17.785 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[5350] = { config_id = 5350, gadget_id = 70350187, pos = { x = 133.080, y = 27.238, z = 2.731 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
	[5102] = { config_id = 5102, shape = RegionShape.CUBIC, size = { x = 60.000, y = 80.000, z = 100.000 }, pos = { x = 139.822, y = 37.254, z = -1.706 } }
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 5002, 5003, 5293 },
		regions = { 5102 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 5001, 5004, 5005, 5006, 5007, 5008, 5009, 5010, 5011, 5012, 5013, 5014, 5035, 5036 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { 5015, 5016, 5017, 5018, 5019, 5020, 5021, 5022, 5023, 5024, 5025, 5026, 5027, 5037, 5038, 5039, 5092, 5099, 5100, 5101 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = ,
		monsters = { },
		gadgets = { 5029, 5030, 5031, 5032, 5033, 5034, 5040, 5041, 5042, 5043, 5044, 5045, 5046, 5047, 5048, 5049, 5050, 5051, 5052, 5053, 5054, 5055 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 5,
		-- description = ,
		monsters = { },
		gadgets = { 5056, 5057, 5058, 5059, 5060, 5061, 5062, 5063, 5064, 5065, 5318, 5319 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 6,
		-- description = ,
		monsters = { },
		gadgets = { 5066, 5067, 5068, 5069, 5070, 5071, 5072, 5073, 5074, 5075, 5076, 5077, 5078, 5079, 5080, 5081, 5082, 5083, 5084, 5085, 5314, 5315, 5316, 5317 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 7,
		-- description = ,
		monsters = { },
		gadgets = { 5086, 5087, 5088, 5089, 5090, 5091, 5093, 5094, 5095, 5096, 5097, 5098, 5320, 5321 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 8,
		-- description = 随机花,
		monsters = { },
		gadgets = { 5028, 5291, 5292, 5294, 5295, 5296, 5297, 5298, 5299, 5300, 5301, 5302, 5303, 5304, 5305, 5306, 5307, 5308, 5309, 5310, 5311, 5322, 5323, 5324, 5325, 5326, 5327, 5328, 5329, 5330, 5331, 5332, 5333, 5334, 5335, 5336, 5337, 5338, 5339, 5340, 5341, 5342, 5343, 5344, 5345, 5346, 5347, 5348, 5349, 5350 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "WindFlora_Laser"
require "WindFlora_ReTrans"
